收藏
回答

echarts在开发者工具下正常显示,但预览或真机时就提示 echarts.js没定义?

框架类型 问题类型 终端类型 微信版本 基础库版本
小程序 Bug 微信安卓客户端 8.0.2 2021.3.24 16:33:35

在开发者工具环境下没有问题,但在预览或真机中就提示

具体分包:

 "subpackages": [{

      "root": "packageA",

      "pages": [

        "pages/mine",

        "pages/order",

        "pages/chart/chart"

      ]    }  ],

JS引用:

import * as echarts from '../../ec-canvas/echarts';

Json引用:

{

  "usingComponents": {

    "ec-canvas":"../../ec-canvas/ec-canvas"

  }

}

报错如下:


回答关注问题邀请回答
收藏

2 个回答

  • 社区技术运营专员-壹君
    社区技术运营专员-壹君
    星期四 15:25

    canvas 不支持真机

    星期四 15:25
    有用
    回复 2
    • 木木 
      木木 
      星期四 15:31
      请问什么时候会支持?
      星期四 15:31
      回复
    • 『系、℃」
      『系、℃」
      星期四 16:42
      你好,线上的环境也不能正常应用。
      星期四 16:42
      回复
  • M小
    M小
    星期四 17:24

    不知道 用了wxcharts - 。-

    星期四 17:24
    有用
    回复
登录 后发表内容
问题标签